[OpenBIOS] [PATCH 1/4] switch-arch: make the fcode-utils tokeniser "toke" mandatory for the build

Mark Cave-Ayland mark.cave-ayland at ilande.co.uk
Mon Jun 24 17:06:20 CEST 2013


Signed-off-by: Mark Cave-Ayland <mark.cave-ayland at ilande.co.uk>
---
 openbios-devel/config/scripts/switch-arch |   12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/openbios-devel/config/scripts/switch-arch b/openbios-devel/config/scripts/switch-arch
index dccf5c0..44f2df4 100755
--- a/openbios-devel/config/scripts/switch-arch
+++ b/openbios-devel/config/scripts/switch-arch
@@ -117,6 +117,11 @@ config_set_boolean()
     echo "<option name=\"$option\" type=\"boolean\" value=\"true\" />"
 }
 
+exists()
+{
+    type "$1" >/dev/null 2>&1
+}
+
 
 SRCDIR=`dirname "$0"`/../..
 BUILDDIR=`pwd`
@@ -132,6 +137,13 @@ VERSION=`head $SRCDIR/VERSION`
 
 echo "Configuring OpenBIOS on $HOSTARCH for $*"
 
+if exists toke; then
+    :
+else
+    echo "Unable to locate toke executable from the fcode-utils package - aborting"
+    exit 1
+fi
+
 target_list=""
 for target in $*; do
     case $target in
-- 
1.7.10.4




More information about the OpenBIOS mailing list